Arch: SectionPlane

From FreeCAD Documentation
Revision as of 14:33, 18 November 2018 by Luc (talk | contribs) (Created page with "==Proprietăți==")

Arch SectionPlane

Menu location
Arch → Section Plane
Workbenches
Arch
Default shortcut
S P
Introduced in version
-
See also
None

Descriere

Acest instrumetn plasează în documentul curent un plan de secțiune gizmo, care definește secțiunea sau planul de vizualizare. The gizmo take his placement according to the current Draft Working Plane and can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider a certain set of objects. Objects that are selected when you create a Section Plane will be added to that set automatically. Other objects can later be added or removed from a SectionPlane object with the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view.

Planul de secțiune singur nu va crea nici o vizualizare a setului său de obiecte. For that, you must either create a Drawing DraftView to create a view on a Drawing page, a Draft Shape2DView to create a view in the 3D document itself, or a TechDraw ArchView to create a view in a TechDraw page.

Cum se folosește

  1. Optional, definiți Draft Working Plane pentru a reflecta planul unde dirți să plasați Section Plane
  2. Select objects you want to be included in your section view
  3. Press the SectionPlane button or press S then P keys
  4. Move/rotate the Section Plane into correct position if needed
  5. Select the Section Plane if not selected already
  6. Folosiți sau Drawing DraftView, Draft Shape2DView sau TechDraw ArchView pentru a crea o vizualizare

Opţiuni

  • Planul de secțiune va considera doar un set de obiece , nu toate obiectele din document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • Cu un plan de secțiune obiect selectat, utilizați instrumentul Draft Shape2DView pentru a crea un obiect tip formă reprezentând vizualizarea secțiunii în document

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Proprietăți

  • DateOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VizualizareDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VizualizareDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VizualizareArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VizualizareCut View: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])